org.apache.http.impl.conn

## Class ConnectionShutdownException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.http.impl.conn.ConnectionShutdownException

All Implemented Interfaces:
  Serializable

    public class ConnectionShutdownException
    extends IllegalStateException

Signals that the connection has been shut down or released back to the the connection pool

Since:
  4.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConnectionShutdownException()` Creates a new ConnectionShutdownException with a `null` detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionShutdownException

    public ConnectionShutdownException()

Creates a new ConnectionShutdownException with a `null` detail message.